#!/bin/bash
#
# Copyright (C) Mellanox Technologies, Ltd. 2008-2018 ALL RIGHTS RESERVED.
#
# This software product is a proprietary product of Mellanox Technologies, Ltd.
# (the "Company") and all right, title, and interest in and to the software product,
# including all associated intellectual property rights, are and shall
# remain exclusively with the Company.
#
# This software product is governed by the End User License Agreement
# provided with the software product.
#


basedir=`readlink -f $0`
basedir=${basedir%/*}

profile=${1:-"eth-single"}
sdk_applibs_modules=${2:-"all"}
sdk_mode=${3:-"802.1Q"}
max_vlan=${4:-"0"}
acl_search_type=${5:-"SERIAL"}
pipeline_latency_size=""
verbosity_flags=""
if [ "$SDK_VERBOSITY" == "no" ]; then
    verbosity_flags="--no_verbosity"
else 
    if [ "$SDK_VERBOSITY" != "" ]; then
        verbosity_flags="--verbosity $SDK_VERBOSITY"
    fi
fi

kvd_flags=""
if [ "$KVD_LINEAR_SIZE" != "" ]; then
	kvd_flags+="--kvd_linear_size $KVD_LINEAR_SIZE "
fi

if [ "$KVD_SINGLE_SIZE" != "" ]; then
        kvd_flags+="--kvd_single_size $KVD_SINGLE_SIZE "
fi

if [ "$KVD_DOUBLE_SIZE" != "" ]; then
        kvd_flags+="--kvd_double_size $KVD_DOUBLE_SIZE "
fi

if [ "$PIPELINE_LATENCY_SIZE" != "" ]; then
        pipeline_latency_size="--pipeline_latency_size $PIPELINE_LATENCY_SIZE "
fi

case ${sdk_applibs_modules} in
	"l2")
		mask=0x10f ;;
	"l2-l3")
		mask=0x11f ;;
	"l2-acl")
		mask=0x12f ;;
	"ib")
		mask=0x0f ;;
	"gw")
		mask=0xdf ;;
	"all")
		mask=0x17f ;;
	*)
		echo "no such sx sdk modules option \"${sdk_applibs_modules}\""
		exit 1
		;;
esac

${evb_chassis_manager_prefix} ${basedir}/chassis_manager ${evb_chassis_manager_suffix} --sdk_applibs_mask ${mask} --sdk_mode ${sdk_mode} --max_vlan ${max_vlan} --acl_search_type ${acl_search_type} ${kvd_flags} ${pipeline_latency_size} ${verbosity_flags} ${profile} || exit 1